RDGeom::Point Class Referenceabstract

`#include <point.h>`

Inheritance diagram for RDGeom::Point:

## Public Member Functions

virtual | ~Point ()
virtual double | operator[] (unsigned int i) const =0
virtual double & | operator[] (unsigned int i)=0
virtual void | normalize ()=0
virtual double | length () const =0
virtual double | lengthSq () const =0
virtual unsigned int | dimension () const =0
virtual Point * | copy () const =0

## Detailed Description

Definition at line 31 of file point.h.

## Constructor & Destructor Documentation

virtual RDGeom::Point::~Point | ( |  | ) |

inline virtual

Definition at line 34 of file point.h.

## Member Function Documentation

virtual Point* RDGeom::Point::copy | ( |  | ) | const

pure virtual

Implemented in RDGeom::PointND, RDGeom::Point2D, and RDGeom::Point3D.

virtual unsigned int RDGeom::Point::dimension | ( |  | ) | const

pure virtual

Implemented in RDGeom::PointND, RDGeom::Point2D, and RDGeom::Point3D.

virtual double RDGeom::Point::length | ( |  | ) | const

pure virtual

Implemented in RDGeom::PointND, RDGeom::Point2D, and RDGeom::Point3D.

virtual double RDGeom::Point::lengthSq | ( |  | ) | const

pure virtual

Implemented in RDGeom::PointND, RDGeom::Point2D, and RDGeom::Point3D.

virtual void RDGeom::Point::normalize | ( |  | ) |

pure virtual

Implemented in RDGeom::PointND, RDGeom::Point2D, and RDGeom::Point3D.

virtual double RDGeom::Point::operator[] | ( | unsigned int | i | ) | const

pure virtual

Implemented in RDGeom::PointND, RDGeom::Point2D, and RDGeom::Point3D.

virtual double& RDGeom::Point::operator[] | ( | unsigned int | i | ) |

pure virtual

Implemented in RDGeom::PointND, RDGeom::Point2D, and RDGeom::Point3D.

The documentation for this class was generated from the following file:

- point.h